Index: bsps/bfin/TLL6527M/headers.am
===================================================================
--- bsps/bfin/TLL6527M/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/bfin/TLL6527M/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -6,2 +6,6 @@
 include_HEADERS += ../../../../../../bsps/bfin/TLL6527M/include/cplb.h
 include_HEADERS += ../../../../../../bsps/bfin/TLL6527M/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/bfin/TLL6527M/include/bsp/irq.h
Index: bsps/bfin/bf537Stamp/headers.am
===================================================================
--- bsps/bfin/bf537Stamp/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/bfin/bf537Stamp/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/bfin/bf537Stamp/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/bfin/bf537Stamp/include/bsp/irq.h
Index: bsps/bfin/eZKit533/headers.am
===================================================================
--- bsps/bfin/eZKit533/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/bfin/eZKit533/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -6,2 +6,6 @@
 include_HEADERS += ../../../../../../bsps/bfin/eZKit533/include/cplb.h
 include_HEADERS += ../../../../../../bsps/bfin/eZKit533/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/bfin/eZKit533/include/bsp/irq.h
Index: bsps/headers.am
===================================================================
--- bsps/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -14,4 +14,5 @@
 include_bsp_HEADERS += ../../bsps/include/bsp/fdt.h
 include_bsp_HEADERS += ../../bsps/include/bsp/gpio.h
+include_bsp_HEADERS += ../../bsps/include/bsp/irq-default.h
 include_bsp_HEADERS += ../../bsps/include/bsp/irq-generic.h
 include_bsp_HEADERS += ../../bsps/include/bsp/irq-info.h
Index: bsps/lm32/lm32_evr/headers.am
===================================================================
--- bsps/lm32/lm32_evr/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/lm32/lm32_evr/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -6,2 +6,6 @@
 include_HEADERS += ../../../../../../bsps/lm32/lm32_evr/include/system_conf.h
 include_HEADERS += ../../../../../../bsps/lm32/lm32_evr/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/lm32/lm32_evr/include/bsp/irq.h
Index: bsps/lm32/milkymist/headers.am
===================================================================
--- bsps/lm32/milkymist/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/lm32/milkymist/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -6,2 +6,6 @@
 include_HEADERS += ../../../../../../bsps/lm32/milkymist/include/system_conf.h
 include_HEADERS += ../../../../../../bsps/lm32/milkymist/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/lm32/milkymist/include/bsp/irq.h
Index: bsps/m68k/av5282/headers.am
===================================================================
--- bsps/m68k/av5282/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/av5282/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/m68k/av5282/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/av5282/include/bsp/irq.h
Index: bsps/m68k/csb360/headers.am
===================================================================
--- bsps/m68k/csb360/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/csb360/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/m68k/csb360/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/csb360/include/bsp/irq.h
Index: bsps/m68k/gen68340/headers.am
===================================================================
--- bsps/m68k/gen68340/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/gen68340/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -10,2 +10,6 @@
 include_HEADERS += ../../../../../../bsps/m68k/gen68340/include/m68349.inc
 include_HEADERS += ../../../../../../bsps/m68k/gen68340/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/gen68340/include/bsp/irq.h
Index: bsps/m68k/gen68360/headers.am
===================================================================
--- bsps/m68k/gen68360/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/gen68360/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/m68k/gen68360/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/gen68360/include/bsp/irq.h
Index: bsps/m68k/mcf5206elite/headers.am
===================================================================
--- bsps/m68k/mcf5206elite/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/mcf5206elite/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -9,2 +9,6 @@
 include_HEADERS += ../../../../../../bsps/m68k/mcf5206elite/include/nvram.h
 include_HEADERS += ../../../../../../bsps/m68k/mcf5206elite/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/mcf5206elite/include/bsp/irq.h
Index: bsps/m68k/mcf52235/headers.am
===================================================================
--- bsps/m68k/mcf52235/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/mcf52235/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/m68k/mcf52235/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/mcf52235/include/bsp/irq.h
Index: bsps/m68k/mcf5225x/headers.am
===================================================================
--- bsps/m68k/mcf5225x/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/mcf5225x/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/m68k/mcf5225x/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/mcf5225x/include/bsp/irq.h
Index: bsps/m68k/mcf5235/headers.am
===================================================================
--- bsps/m68k/mcf5235/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/mcf5235/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/m68k/mcf5235/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/mcf5235/include/bsp/irq.h
Index: bsps/m68k/mcf5329/headers.am
===================================================================
--- bsps/m68k/mcf5329/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/mcf5329/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/m68k/mcf5329/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/mcf5329/include/bsp/irq.h
Index: bsps/m68k/mrm332/headers.am
===================================================================
--- bsps/m68k/mrm332/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/mrm332/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -6,2 +6,6 @@
 include_HEADERS += ../../../../../../bsps/m68k/mrm332/include/mrm332.h
 include_HEADERS += ../../../../../../bsps/m68k/mrm332/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/mrm332/include/bsp/irq.h
Index: bsps/m68k/mvme147/headers.am
===================================================================
--- bsps/m68k/mvme147/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/mvme147/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/m68k/mvme147/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/mvme147/include/bsp/irq.h
Index: bsps/m68k/mvme147s/headers.am
===================================================================
--- bsps/m68k/mvme147s/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/mvme147s/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/m68k/mvme147s/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/mvme147s/include/bsp/irq.h
Index: bsps/m68k/mvme162/headers.am
===================================================================
--- bsps/m68k/mvme162/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/mvme162/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -6,2 +6,6 @@
 include_HEADERS += ../../../../../../bsps/m68k/mvme162/include/page_table.h
 include_HEADERS += ../../../../../../bsps/m68k/mvme162/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/mvme162/include/bsp/irq.h
Index: bsps/m68k/mvme167/headers.am
===================================================================
--- bsps/m68k/mvme167/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/mvme167/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -6,2 +6,6 @@
 include_HEADERS += ../../../../../../bsps/m68k/mvme167/include/page_table.h
 include_HEADERS += ../../../../../../bsps/m68k/mvme167/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/mvme167/include/bsp/irq.h
Index: bsps/m68k/uC5282/headers.am
===================================================================
--- bsps/m68k/uC5282/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/m68k/uC5282/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/m68k/uC5282/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/m68k/uC5282/include/bsp/irq.h
Index: bsps/moxie/moxiesim/headers.am
===================================================================
--- bsps/moxie/moxiesim/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/moxie/moxiesim/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/moxie/moxiesim/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/moxie/moxiesim/include/bsp/irq.h
Index: bsps/nios2/nios2_iss/headers.am
===================================================================
--- bsps/nios2/nios2_iss/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/nios2/nios2_iss/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/nios2/nios2_iss/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/nios2/nios2_iss/include/bsp/irq.h
Index: bsps/no_cpu/no_bsp/headers.am
===================================================================
--- bsps/no_cpu/no_bsp/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/no_cpu/no_bsp/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/no_cpu/no_bsp/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/no_cpu/no_bsp/include/bsp/irq.h
Index: bsps/sh/gensh1/headers.am
===================================================================
--- bsps/sh/gensh1/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/sh/gensh1/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,4 +5,8 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/sh/gensh1/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/sh/gensh1/include/bsp/irq.h
 
 include_rtems_scoredir = $(includedir)/rtems/score
Index: bsps/sh/gensh2/headers.am
===================================================================
--- bsps/sh/gensh2/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/sh/gensh2/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,4 +5,8 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/sh/gensh2/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/sh/gensh2/include/bsp/irq.h
 
 include_rtems_scoredir = $(includedir)/rtems/score
Index: bsps/sh/gensh4/headers.am
===================================================================
--- bsps/sh/gensh4/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/sh/gensh4/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -6,4 +6,8 @@
 include_HEADERS += ../../../../../../bsps/sh/gensh4/include/sdram.h
 include_HEADERS += ../../../../../../bsps/sh/gensh4/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/sh/gensh4/include/bsp/irq.h
 
 include_rtems_scoredir = $(includedir)/rtems/score
Index: bsps/sh/shsim/headers.am
===================================================================
--- bsps/sh/shsim/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/sh/shsim/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -8,3 +8,4 @@
 include_bspdir = $(includedir)/bsp
 include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/sh/shsim/include/bsp/irq.h
 include_bsp_HEADERS += ../../../../../../bsps/sh/shsim/include/bsp/syscall.h
Index: bsps/sparc64/headers.am
===================================================================
--- bsps/sparc64/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/sparc64/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -15,4 +15,5 @@
 include_arch_mm_HEADERS =
 include_arch_mm_HEADERS += ../../../../../bsps/sparc64/include/arch/mm/cache_spec.h
+include_arch_mm_HEADERS += ../../../../../bsps/sparc64/include/arch/mm/doxygen.h
 include_arch_mm_HEADERS += ../../../../../bsps/sparc64/include/arch/mm/frame.h
 include_arch_mm_HEADERS += ../../../../../bsps/sparc64/include/arch/mm/mmu.h
Index: bsps/sparc64/niagara/headers.am
===================================================================
--- bsps/sparc64/niagara/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/sparc64/niagara/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/sparc64/niagara/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/sparc64/niagara/include/bsp/irq.h
Index: bsps/sparc64/usiii/headers.am
===================================================================
--- bsps/sparc64/usiii/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/sparc64/usiii/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -5,2 +5,6 @@
 include_HEADERS += include/bspopts.h
 include_HEADERS += ../../../../../../bsps/sparc64/usiii/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/sparc64/usiii/include/bsp/irq.h
Index: bsps/v850/gdbv850sim/headers.am
===================================================================
--- bsps/v850/gdbv850sim/headers.am	(revision 5cbee18e0030981cd61b8c9d556cc5c57f6ee082)
+++ bsps/v850/gdbv850sim/headers.am	(revision e9c83b46a045ea0d6dad9fc73578d0694ae8886b)
@@ -8,3 +8,4 @@
 include_bspdir = $(includedir)/bsp
 include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/v850/gdbv850sim/include/bsp/irq.h
 include_bsp_HEADERS += ../../../../../../bsps/v850/gdbv850sim/include/bsp/syscall.h
